---
apiVersion: batch/v1beta1
items:
- apiVersion: batch/v1beta1
  kind: CronJob
  metadata:
    annotations:
      imageregistry.operator.openshift.io/checksum: sha256:3643d033dfdec020834ede89a2ab902526146453aff16d4343f200d4b01ffe1d
    creationTimestamp: "2020-05-26T14:23:29Z"
    managedFields:
    - apiVersion: batch/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:imageregistry.operator.openshift.io/checksum: {}
        f:spec:
          f:concurrencyPolicy: {}
          f:failedJobsHistoryLimit: {}
          f:jobTemplate:
            f:metadata:
              f:labels:
                .: {}
                f:created-by: {}
            f:spec:
              f:template:
                f:spec:
                  f:affinity: {}
                  f:containers:
                    k:{"name":"image-pruner"}:
                      .: {}
                      f:args: {}
                      f:command: {}
                      f:image: {}
                      f:imagePullPolicy: {}
                      f:name: {}
                      f:resources:
                        .: {}
                        f:requests:
                          .: {}
                          f:cpu: {}
                          f:memory: {}
                      f:terminationMessagePath: {}
                      f:terminationMessagePolicy: {}
                      f:volumeMounts:
                        .: {}
                        k:{"mountPath":"/var/run/configmaps/serviceca"}:
                          .: {}
                          f:mountPath: {}
                          f:name: {}
                          f:readOnly: {}
                  f:dnsPolicy: {}
                  f:restartPolicy: {}
                  f:schedulerName: {}
                  f:securityContext: {}
                  f:serviceAccount: {}
                  f:serviceAccountName: {}
                  f:terminationGracePeriodSeconds: {}
                  f:volumes:
                    .: {}
                    k:{"name":"serviceca"}:
                      .: {}
                      f:configMap:
                        .: {}
                        f:defaultMode: {}
                        f:name: {}
                      f:name: {}
          f:schedule: {}
          f:startingDeadlineSeconds: {}
          f:successfulJobsHistoryLimit: {}
          f:suspend: {}
      manager: cluster-image-registry-operator
      operation: Update
      time: "2020-05-26T14:23:29Z"
    name: image-pruner
    namespace: openshift-image-registry
    resourceVersion: "11714"
    selfLink: /apis/batch/v1beta1/namespaces/openshift-image-registry/cronjobs/image-pruner
    uid: c2eb502d-f9a5-4cd9-8140-2daecfc83331
  spec:
    concurrencyPolicy: Forbid
    failedJobsHistoryLimit: 3
    jobTemplate:
      metadata:
        creationTimestamp: null
        labels:
          created-by: image-pruner
      spec:
        template:
          metadata:
            creationTimestamp: null
          spec:
            affinity: {}
            containers:
            - args:
              - adm
              - prune
              - images
              - --certificate-authority=/var/run/configmaps/serviceca/service-ca.crt
              - --keep-tag-revisions=3
              - --keep-younger-than=60m
              - --prune-registry=true
              - --confirm=true
              command:
              - oc
              image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:1c0250a6bf12b77a50d0c159d90a772568a8c163401af4cf356dc38deea2258a
              imagePullPolicy: IfNotPresent
              name: image-pruner
              resources:
                requests:
                  cpu: 100m
                  memory: 256Mi
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: FallbackToLogsOnError
              volumeMounts:
              - mountPath: /var/run/configmaps/serviceca
                name: serviceca
                readOnly: true
            dnsPolicy: ClusterFirst
            restartPolicy: OnFailure
            schedulerName: default-scheduler
            securityContext: {}
            serviceAccount: pruner
            serviceAccountName: pruner
            terminationGracePeriodSeconds: 30
            volumes:
            - configMap:
                defaultMode: 420
                name: serviceca
              name: serviceca
    schedule: 0 0 * * *
    startingDeadlineSeconds: 60
    successfulJobsHistoryLimit: 3
    suspend: false
  status: {}
kind: CronJobList
metadata:
  resourceVersion: "53584"
  selfLink: /apis/batch/v1beta1/namespaces/openshift-image-registry/cronjobs
